import {ProductState} from "../states/ProductState";
import {ProductTransition} from "../transitions/ProductTransition";
import {ProductGenerationData} from "./ProductGenerationData";

export class ProductGeneratorResult {
  states: ProductState[];
  transitions: ProductTransition[]


  constructor(states: ProductState[], transitions: ProductTransition[]) {
    this.states = states;
    this.transitions = transitions;
  }

  get productGenerationData(): ProductGenerationData {
    return new ProductGenerationData(this.states, this.transitions)
  }

}
